Bug 1008839 - Certain blocked entry lock info not retained after the lock is granted
Certain blocked entry lock info not retained after the lock is granted
Status: POST
Product: GlusterFS
Classification: Community
Component: locks (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pranith Kumar K
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 03:26 EDT by Anuradha
Modified: 2016-09-20 02:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anuradha 2013-09-17 03:26:56 EDT
Description of problem:

When a blocked entry lock is granted and moved to granted state, a new entrylk is taken instead of retaining the old one. Leading to missing info of the entrylk in question, eg. blocked time of the entrylk. The old lock needs to be retained.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Anand Avati 2013-09-17 06:08:35 EDT
REVIEW: http://review.gluster.org/5955 (features/locks : Certain blocked entry lock info not retained                  after the lock is granted) posted (#1) for review on master by Anuradha Talur (atalur@redhat.com)
Comment 2 Anand Avati 2013-09-17 06:24:44 EDT
REVIEW: http://review.gluster.org/5955 (features/locks : Certain blocked entry lock info not retained after the lock is granted) posted (#2) for review on master by Anuradha Talur (atalur@redhat.com)
Comment 3 Pranith Kumar K 2014-01-03 07:15:57 EST
Anuradha already sent the patch. Assigning it to her.
Comment 4 Mike McCune 2016-03-28 18:17:27 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Note You need to log in before you can comment on or make changes to this bug.